Bug 448798 - On startx: monitor shuts off, system locks up
On startx: monitor shuts off, system locks up
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
9
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-28 16:33 EDT by John Ellson
Modified: 2008-12-09 17:46 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-09 17:46:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Logfile from failed start attempt (39.08 KB, text/plain)
2008-05-28 16:33 EDT, John Ellson
no flags Details

  None (edit)
Description John Ellson 2008-05-28 16:33:35 EDT
Description of problem:
Attempt to use  "ATI Technologies Inc RS480 [Radeon Xpress 200G Series]"
with monitor connected to VGA port (and none to DVI port) results in the
monitor being turned off and the system locking up.

I suspect that its testing for a monitor on the DVI port?   I don't have a DVI
monitor I can try, and the DVI socket on this HP box is incompatible with a VGA
adaptor for trying a VGA monitor on the DVI port.

This is without any /etc/X11/xorg.conf

I notice that lspci seems to find two graphics cards????

    01:05.0 VGA compatible controller: ATI Technologies Inc RS480 [Radeon Xpress
200G Series]
    01:05.1 Display controller: ATI Technologies Inc Unknown device 5854


Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.8.0-14.fc9.x86_64

How reproducible:
100%

Steps to Reproduce:
1. reboot into runlevel 3
2. login
3. startx
  
Actual results:
Monitor switches off.  System hangs.  No response to ctrl-alt-f1, ctrl-alt-del,
or remote login attempts.  Have to powercycle.

Expected results:
Working graphics, like with fedora-8

Additional info:
Last working driver was:
   xorg-x11-drv-ati-6.7.195-3.fc8.x86_64.rpm
but this can't be used now that the ABI has changed.
Comment 1 John Ellson 2008-05-28 16:33:35 EDT
Created attachment 306984 [details]
Logfile from failed start attempt
Comment 2 John Ellson 2008-06-16 11:39:15 EDT
Any progress on this?  Need any info from me?  I note that the "bad" driver has
been pushed to fc8,  so perhaps you'll get a few more reports now.
Comment 3 John Ellson 2008-12-08 10:57:18 EST
This problem appears cured after upgrading to FC10.
    xorg-x11-drv-ati-6.9.0-61.fc10.x86_64
Comment 4 Matěj Cepl 2008-12-09 17:46:57 EST
Thanks for letting us know.

Note You need to log in before you can comment on or make changes to this bug.